#include <iostream>

using namespace std;

int main()
{
    int x = 1, t, N = 0, M = 0, p;
    int n[N];
    int m[M];
    scanf("%d",&t);
    for(int i = 0; i < t; i++)
    {
        scanf("%d%d",&N,&M);
        for(int j = 0; j < N; j++)
        {
            scanf("%d",&n[i]);
        }
        for(int k = 0; k < M; k++)
        {
            scanf("%d",&m[i]);
        }
    }
    for(int i = 0; i < N; i++)
    {
        for(int j = i + 1; j < N; j++)
        {
            if(n[i] < n[i + 1])
            {
                p = n[i];
                n[i] = n[j];
                n[j] = p;
            }
        }
    }
    for(int i = 0; i < N; i++)
    {
        while(n[i] - (n[i] - n[i + 1]) == n[i+1])

    }
}